Package org.xnio

# Class Property

java.lang.Object
org.xnio.Property

All Implemented Interfaces:
  `Serializable`

public final class Property extends Object implements Serializable
An immutable property represented by a key and value.

Author:
  Darran Lofthouse
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Determine if this Property equals another Property.
`boolean`
`equals(Property other)`
Determine if this Property equals another Property.
`String`
`getKey()`
Get the key of this key/value Property.
`Object`
`getValue()`
Get the value of this key/value Property.
`String`
`getValue$$bridger()`
Get the value of this key/value Property.
`int`
`hashCode()`
Get the hash code for this Property.
`static Property`
`of(String key, Object value)`
Create a new property for the specified key and value.
`static Property`
`of(String key, String value)`
Create a new property for the specified key and value.
`String`
`toString()`
Get the `String` representation of this property.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getKey

public String getKey()
Get the key of this key/value Property.

Returns:
  the key.

### getValue

public Object getValue()
Get the value of this key/value Property.

Returns:
  the value.

### getValue$$bridger

public String getValue$$bridger()
Get the value of this key/value Property.

Returns:
  the value.

### toString

public String toString()
Get the `String` representation of this property.

Overrides:
  `toString` in class `Object`
Returns:
  the `String` representation of this property.

### hashCode

public int hashCode()
Get the hash code for this Property.

Overrides:
  `hashCode` in class `Object`
Returns:
  the hash code.

### equals

public boolean equals(Object obj)
Determine if this Property equals another Property.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the other Property to compare.
Returns:
  true if the two Properties are equal.

### equals

public boolean equals(Property other)
Determine if this Property equals another Property.

Parameters:
  `other` - the other Property to compare.
Returns:
  true if the two Properties are equal.

### of

public static Property of(String key, Object value)
Create a new property for the specified key and value.

Parameters:
  `key` - the key for new Property
  `value` - the value for the new Property
Returns:
  the newly created Property

### of

public static Property of(String key, String value)
Create a new property for the specified key and value.

Parameters:
  `key` - the key for new Property
  `value` - the value for the new Property
Returns:
  the newly created Property